A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Static Public Member Functions | Data Fields
timer Struct Reference

Internal timer object. More...

`#include <timing.h>`

## Static Public Member Functions
static AFAPI timer | start ()
static AFAPI double | stop ()
static AFAPI double | stop (timer start)

## Data Fields
struct timeval | val

## Detailed Description

Internal timer object.

Examples
  graphics/conway_pretty.cpp, graphics/gravity_sim.cpp, image_processing/brain_segmentation.cpp, and image_processing/optical_flow.cpp.

Definition at line 29 of file timing.h.

## Member Function Documentation

## ◆ start()

static AFAPI timer start | ( |  | ) |
| static

Examples
  graphics/gravity_sim.cpp.

## ◆ stop() [1/2]

static AFAPI double stop | ( |  | ) |
| static

Examples
  graphics/gravity_sim.cpp.

## ◆ stop() [2/2]

static AFAPI double stop | ( | timer | start | ) |
| static

## Field Documentation

## ◆ val

struct timeval val

Definition at line 35 of file timing.h.

The documentation for this struct was generated from the following file:

- timing.h